Skip to main content
POST
Cancel a maintenance window

Lifecycle & State Requirements

Only maintenance windows in the scheduled or in_progress state can be cancelled. Trying to cancel a maintenance window in a different state will return a 403 Forbidden response.

What happens on cancellation?

When a maintenance window is cancelled:
  1. The maintenance window state changes to cancelled.
  2. If the window was in_progress with pause monitoring mode, attached monitors are immediately resumed. Unless they were already paused before the start of the maintenance window, or an overlapping maintenance window with pause monitoring mode is still ongoing.
  3. Connected status pages are updated immediately to remove upcoming or active maintenance announcements.
  4. The uptime.maintenance_window.cancelled alert event is dispatched to any configured alert rules.

Authorizations

Authorization
string
header
required

Use a user token to access authenticated routes. The token must be specified in the Authorization HTTP header with the following format 'Authorization: Bearer '.

Headers

X-Phare-Project-Id
integer

A project header is required when using an organization-scoped API key.

Example:

1

X-Phare-Project-Slug
string

A project header is required when using an organization-scoped API key.

Example:

"luminous-guiding-tower"

Path Parameters

maintenanceWindowId
integer
required

ID of the maintenance window to cancel

Response

Last modified on September 4, 2026